Subject: Re: [PATCH] kdump: Fix for machine checkstop on DMA fault

From: Olof Johansson <[email-masked]>
Date: Thu, 23 Mar 2006 14:12:58 -0600

On Thu, Mar 23, 2006 at 12:19:04AM -0600, Olof Johansson wrote:

> The crash kernel needs to be even more careful, and instead read out
> the entries that are mapped and reserve them. This would require a bit
> more plumbing since there's no way to read an entry right now, but it'd
> remove that hole.

Actually, what's probably easier is to allocate some entries when the
purgatory is set up, and make the crash kernel only use those by modifying
the device tree accordingly. Sort of how regular memory is handled right
now. That'd be a cleaner solution with less changes needed.

The trick will be to get a decent size contiguous allocation, but the
same applies for the memory reserve.

-Olof